using System;
using System.Data;
using System.Data.SqlClient;

namespace Briefcase
{
	public class Files
	{
		public static int Create(string FileName,byte[] FileData,int FileSize,int FolderId,DateTime DateCreated)
		{
			SqlParameter[] p=new SqlParameter[5];
			p[0]=new SqlParameter("@FileName",FileName);
			p[1]=new SqlParameter("@FileData",FileData);
			p[2]=new SqlParameter("@FileSize",FileSize);
			p[3]=new SqlParameter("@FolderId",FolderId);
			p[4]=new SqlParameter("@DateCreated",DateCreated);
			return SqlHelper.ExecuteNonQuery("Files_Create",p);
		}

 		public static int Delete(int Id)
		{
			SqlParameter[] p=new SqlParameter[1];
			p[0]=new SqlParameter("@Id",Id);
			return SqlHelper.ExecuteNonQuery("Files_Delete",p);
		}

        public static int DeleteFromFolder(int folderid)
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@folderid", folderid);
            return SqlHelper.ExecuteNonQuery("Files_DeleteFromFolder", p);
        }

        public static DataTable GetFile(int Id)
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@Id", Id);
            DataSet ds = SqlHelper.ExecuteDataSet("Files_GetFile", p);
            return ds.Tables[0];

        }

        public static DataTable GetFilesFromFolder(int FolderId)
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@FolderId", FolderId);
            DataSet ds = SqlHelper.ExecuteDataSet("Files_GetFromFolder", p);
            return ds.Tables[0];

        }

        public static int Rename(int Id,string filename)
        {
            SqlParameter[] p = new SqlParameter[2];
            p[0] = new SqlParameter("@id", Id);
            p[1] = new SqlParameter("@filename", filename);
            return SqlHelper.ExecuteNonQuery("Files_Rename", p);
        }
	}
}
