using System;
using System.Data;
using System.Data.SqlClient;

namespace Briefcase
{
	public class Folders
	{
		public static int Create(string FolderName,int ParentFolderId,DateTime DateCreated)
		{
			SqlParameter[] p=new SqlParameter[3];
			p[0]=new SqlParameter("@FolderName",FolderName);
			p[1]=new SqlParameter("@ParentFolderId",ParentFolderId);
			p[2]=new SqlParameter("@DateCreated",DateCreated);
			return SqlHelper.ExecuteNonQuery("Folders_Create",p);
		}

 		public static int Delete(int Id)
		{
			SqlParameter[] p=new SqlParameter[1];
			p[0]=new SqlParameter("@Id",Id);
			return SqlHelper.ExecuteNonQuery("Folders_Delete",p);
		}

        public static int DeleteSubFolders(int ParentFolderId)
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@Id", ParentFolderId);
            return SqlHelper.ExecuteNonQuery("Folders_DeleteSubFolders", p);
        }

        public static int Rename(int Id, string foldername)
        {
            SqlParameter[] p = new SqlParameter[2];
            p[0] = new SqlParameter("@id", Id);
            p[1] = new SqlParameter("@foldername", foldername);
            return SqlHelper.ExecuteNonQuery("Folders_Rename", p);
        }

        public static DataTable GetSubFolders(int Id)
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@ParentId", Id);
            DataSet ds = SqlHelper.ExecuteDataSet("Folders_GetSubFolders", p);
            return ds.Tables[0];
        }
	}
}
